Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.security
Class WMSLayerImporter.Configuration

    java.lang.Object
      org.deegree.tools.security.WMSLayerImporter.Configuration

Enclosing class:
  WMSLayerImporter

    public class WMSLayerImporter.Configuration

extends Object

`Configuration` which holds values for a given layer.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$

Field Summary
`(package private) String` | `secDBURL`

Constructor Summary
`WMSLayerImporter.Configuration(Map<String,String> map)`
`WMSLayerImporter.Configuration(String wmsAddress, String secDBDriver, String secDBURL, String secDBUserName, String secDBUserPw, String secAdminPw)`

Method Summary
`String` | `getSecAdminPw()`
`String` | `getSecDBDriver()`
`String` | `getSecDBURL()`
`String` | `getSecDBUserName()`
`String` | `getSecDBUserPw()`
`String` | `getWmsAddress()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### secDBURL

    String secDBURL

Constructor Detail

### WMSLayerImporter.Configuration

    public WMSLayerImporter.Configuration(String wmsAddress,
                                          String secDBDriver,
                                          String secDBURL,
                                          String secDBUserName,
                                          String secDBUserPw,
                                          String secAdminPw)

Parameters:
  `wmsAddress` - the address of the remote wms.
  `secDBDriver` - the type of database
  `secDBURL` - database url
  `secDBUserName` - of the database user.
  `secDBUserPw` - password of the database user.
  `secAdminPw` - password of the security administrator.

### WMSLayerImporter.Configuration

    public WMSLayerImporter.Configuration(Map<String,String> map)
                                   throws IllegalArgumentException

Parameters:
  `map` - containing the the arguments given to the main.
Throws:
  `IllegalArgumentException` - if one of the required parameters was not set.

Method Detail

### getSecDBDriver

    public String getSecDBDriver()

  Returns:
    database driver class

### getSecDBURL

    public String getSecDBURL()

  Returns:
    database URL

### getWmsAddress

    public String getWmsAddress()

  Returns:
    address/URL of the WMS

### getSecAdminPw

    public String getSecAdminPw()

  Returns:
    rights management administrator password

### getSecDBUserName

    public String getSecDBUserName()

  Returns:
    rights db user name

### getSecDBUserPw

    public String getSecDBUserPw()

  Returns:
    rights database user's password

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org